Doomsday Engine - Feature #1764

DMU 2.0: Generate network deltas
2014-04-18 08:22 - skyjake

Status: New Start date: 2014-04-18
Priority: Normal % Done: 0%
Assignee:

Category: Redesign

Target version: Multiplayer

Description

Take advantage of DMU calls to generate network world state deltas. The core idea is that because all changes done to map data
happen via DMU, it has sufficient information to generate all deltas for clients.

Instead of polling the map for changes several times per second, generate a delta from each change done via DMU. This will take
significantly less CPU time than polling.

This is basically DMU v2: the implementation needs to be refactored as C++ while retaining the old C API for existing game logic.
Considerations
e Map objects will need to be included somehow into the delta processing. How to do this without causing significant changes in

existing game logic?
¢ The common serialization mechanism in libdeng2 should be utilized in transferring the deltas.

Related issues:

Related to Feature #9: Use local server to run single-player games Progressed 2014-04-18
Related to Feature #1767: Network delta profiler New 2014-04-18
History

#1 - 2014-04-18 08:22 - skyjake
- Parent task deleted (#9)

#2 - 2014-04-18 08:23 - skyjake

- Description updated

#3 - 2019-11-29 20:19 - skyjake

- Target version set to Multiplayer
